%global _empty_manifest_terminate_build 0
Name:           python-fqdn
Version:        1.5.1
Release:        1
Summary:        Validates fully-qualified domain names against RFC 1123.
License:        MPL-2.0
URL:            https://github.com/ypcrts/fqdn
Source0:        https://files.pythonhosted.org/packages/30/3e/a80a8c077fd798951169626cde3e239adeba7dab75deb3555716415bd9b0/fqdn-1.5.1.tar.gz
BuildArch:      noarch
%description
Validates fully-qualified domain names against RFC 1123.

%package -n python3-fqdn
Summary:        Validates fully-qualified domain names against RFC 1123.
Provides:       python-fqdn
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-fqdn
Validates fully-qualified domain names against RFC 1123.

%package help
Summary:        Development documents and examples for fqdn.
Provides:       python3-fqdn-doc
%description help
Development documents and examples for fqdn.

%prep
%autosetup -n fqdn-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-fqdn -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Nov 8 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.5.1-1
- Init package
